### Method

# Gio Socket get_blocking

since: 2.22

#### Declaration

    gboolean
    g_socket_get_blocking (
      GSocket* socket
    )

#### Description

Gets the blocking mode of the socket. For details on blocking I/O, see g_socket_set_blocking().

Available since: 2.22

Gets property | `Gio.Socket:blocking`

#### Return value

Type: `gboolean`

`TRUE` if blocking I/O is used, `FALSE` otherwise.